#include <Wire.h>

void setup() {
  Wire.begin();
  Serial.begin(9600);
  Serial.println("Skanuję I2C...");
  }
void loop(){
for (byte addr = 1; addr < 127; addr++) {
    Wire.beginTransmission(addr);
    if (Wire.endTransmission() == 0) {
      Serial.print("Znaleziono urządzenie I2C pod adresem 0x");
      Serial.println(addr, HEX);
    }
    }    delay(10);

  Serial.println("LOOP...");
  
    delay(1000);

}